let lang = null;
let jsonData = null;
let localeTitle = null;

//加载对应语言的资源文件.
let navType = navigator.appName;
if (navType == 'Netscape') {
    lang = navigator.language;
} else {
    lang = navigator.userLanguage;
}
lang = lang.substr(0, 2);

if (lang == 'zh') {
    loadjs('../locales/zh_CN.json');
    localeTitle = '基础版开发帮助';
}else {
    // loadjs('../locales/en.json');
    loadjs('../locales/zh_CN.json');
    localeTitle = 'CDOS SDK Documents';
}
//动态加载js文件
function loadjs(src)  
{     
    let script = document.createElement('script') ;  
    script.type ='text/javascript' ;  
    script.src = src ;  
    let head = document.getElementsByTagName('head').item(0);  
    head.appendChild(script);
}

let headVue = new Vue({
    el: '.head-block',
    data: {
        title: localeTitle
    }
})

let subPageVue = new Vue({
    el: '#right-block',
    data: {
        url: '',
        liarray: null,
        pageflag: false,
        suburl: null,
    }
});

Vue.component('navcomp', {
    props: ['navobj'],
    template: '#nav-component',
    data: function(){
        return {
            showflag: false,
            arrow: '\ue617',
            colorActive: false,
            mainurl: window.location.href,
            suburl: window.location.href
        };
    },
    created: function() {
 
        let url = window.location.href;
        let decodeUrl = decodeURI(url);
        let baseUrl = decodeUrl.split('?')[0];
        this.mainurl = baseUrl + '?Main=';
        this.suburl = baseUrl + '?Sub=';
        let mainName = decodeUrl.split('?Main=')[1];
        let subName = decodeUrl.split('?Sub=')[1];

        if (mainName) {
            if (this.navobj.mainType == mainName) {

                this.navobj.active = true;
                this.showflag = true;
                this.arrow = '\ue615';
                this.colorActive = true;

                if (this.navobj.mainPage == undefined) {

                    subPageVue.$data.pageflag = true;
                    subPageVue.$data.liarray = this.navobj.subTypes;
                    subPageVue.$data.suburl = this.suburl;
                }else {
                    subPageVue.$data.url = 'intro.html';
                }
            }
        }else if (subName) {
            for (let i in this.navobj.subTypes) {
                if (this.navobj.subTypes[i].subType == subName) {

                    this.navobj.subTypes[i].active = true;
                    this.showflag = true;
                    this.arrow = '\ue615';
                    this.colorActive = true;

                    if (this.navobj.subTypes[i].subTypes) {
                        subPageVue.$data.url = 'iframe_block.html?jsonData=' + JSON.stringify(this.navobj.subTypes[i].subTypes);
                    }else {
                        if (this.navobj.subTypes[i].target == '_blank') {

                            subPageVue.$data.pageflag = true;
                            subPageVue.$data.liarray = this.navobj.subTypes;
                        }else {
                            subPageVue.$data.url = this.navobj.subTypes[i].link;
                        } 
                    }
                    break;
                }
            }
        }else {
            subPageVue.$data.url = 'intro.html';
        }
    },
    methods: {
        foldActionFn: function() {
            if (this.showflag) {
                this.showflag = false;
                this.arrow = '\ue617';
                this.colorActive = false;
            }else {
                this.showflag = true;
                this.arrow = '\ue615';
                this.colorActive = true;
            }
        }
    }
});

let navVue = new Vue({
    el: '#nav-list',
    data: {
        json: jsonData,
    }    
});


function getJsonSrc() {
    jsonData = jsonSrc;

    for(let i in jsonData) {
        jsonData[i].active = false;
        for(let j in jsonData[i].subTypes) {
            jsonData[i].subTypes[j].active = false;
        }
    }

    navVue.$data.json = jsonData;
}